Name:           metromap
Version:        0.1.2
Release:        4%{?dist}
Summary:        Simple program for finding paths in subway/metro maps

Group:          Applications/Internet
License:        GPL+
URL:            http://metromap.antex.ru/
Source0:        http://downloads.sourceforge.net/metro-map/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       pygtk2


%description
A simple pygtk+2 application for finding paths in metro (subway)
maps. Maps for Moscow, St. Petersburg, Kiev, London, and Berlin
are included. Others can be downloaded.


%prep
%setup -q
sed -i -e '/^#!\//, 1d' modules/{FindPath.py,MapDisplay.py,Interface.py,ReadMap.py}


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}%{_prefix} INSTALL="install -p"
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dp -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/AUTHORS doc/COPYING doc/NEWS doc/READ* doc/TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.2-3
- Added russian translation to .desktop file

* Sat Mar 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.2-2
- Fixed Source URL
- Fixed License

* Sat Jan 30 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.2-1
- Initial package for Fedora

